#
# spec file for package xfce4-notifyd
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-notifyd
Version:        0.2.4
Release:        7.2
Summary:        Simple Notification Daemon for Xfce
License:        GPL-2.0+
Group:          System/Daemons
Url:            http://spurint.org/projects/xfce4-notify-daemon/
Source:         http://archive.xfce.org/src/apps/xfce4-notifyd/0.2/%{name}-%{version}.tar.bz2
Source1:        %{name}.xml
Source100:      %{name}-rpmlintrc
BuildRequires:  exo-tools
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  xfce4-dev-tools
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libnotify) >= 0.7.0
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfconf-0)
Requires:       libnotify-tools
Requires:       xfce4-notifyd-branding = %{version}
Recommends:     %{name}-lang = %{version}
Provides:       notification-daemon-xfce = %{version}
Obsoletes:      notification-daemon-xfce < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce that
implements the Freedesktop.org Desktop Notifications Specification.

%package branding-upstream
Summary:        Upstream Branding of xfce4-notifyd
Group:          System/GUI/XFCE
# BRAND: xfce4-notifyd.xml: Controls the appearance of notifications.
Conflicts:      otherproviders(xfce4-notifyd-branding)
Provides:       xfce4-notifyd-branding = %{version}
Supplements:    packageand(xfce4-notifyd:branding-upstream)
BuildArch:      noarch

%description branding-upstream
This package provides the upstream look and feel for the Xfce Notification Daemon.

%lang_package

%prep
%setup -q

%build
xdt-autogen
%configure \
    --with-helper-path-prefix=%{_libexecdir} \
    --enable-maintainer-mode
make %{?_smp_mflags} V=1

%install
%make_install

install -D -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-notifyd.xml

%suse_update_desktop_file -i xfce4-notifyd-config

%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/xfce4-notifyd-config
%{_datadir}/applications/xfce4-notifyd-config.desktop
%{_datadir}/dbus-1/services/org.xfce.xfce4-notifyd.Notifications.service
%{_datadir}/icons/hicolor/48x48/apps/xfce4-notifyd.png
%dir %{_datadir}/themes/*
%dir %{_datadir}/themes/*/xfce-notify-4.0
%{_datadir}/themes/*/xfce-notify-4.0/gtkrc
%dir %{_libexecdir}/xfce4
%dir %{_libexecdir}/xfce4/notifyd
%{_libexecdir}/xfce4/notifyd/xfce4-notifyd
%doc %{_mandir}/man1/xfce4-notifyd-config.1*

%files lang -f %{name}.lang

%files branding-upstream
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-notifyd.xml

%changelog
* Wed May  8 2013 gber@opensuse.org
- update to version 0.2.4
  - fix border drawing when compositing is disabled
  - translation updates
* Sun Apr 21 2013 gber@opensuse.org
- update to version 0.2.3
  - add widget names to summary ("summary") and body ("body")
    widgets to allow easier theming; remove the redundant/buggy
    summary-bold style property
  - handle timeout correctly when smaller than fading time
  - parse body with g_markup_escape_text which allows us to handle
    span attributes misused by some clients and to parse strings
    with "unusual" characters such as &
  - respect border-width when drawing the notification
  - do not kill notification daemon to apply new theme, instead,
    handle style updates of existing notifications
  - show a button in the notification preview
  - add an icon to the notification preview
* Wed May 16 2012 gber@opensuse.org
- update to current git snapshot
  - show dialog in settings category
  - emit closed signal on correct object
  - avoid flickering of the window
  - fixup type setting
  - accept uri-image locations
* Sat Mar 31 2012 gber@opensuse.org
- split off -lang subpackage
- specfile cleanup
* Sat Aug  6 2011 gber@opensuse.org
- update to version 0.2.2
  - new cleaner settings dialog with preview on theme change
  - only initialize the close timeout when all notifications are
    closed
  - allow installation of the helpers in a custom location
  - bugfixes
  - translation updates
- dropped obsolete xfce4-notifyd-fix-dbus-service-filename.patch
* Sun May 29 2011 gber@opensuse.org
- added xfce4-notifyd-fix-dbus-service-filename.patch in order to
  make the filename of the DBus service file unique and prevent a
  conflict with notification-daemon
* Thu Feb 17 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Thu Feb  3 2011 gber@opensuse.org
- depend on libnotify rather than libnotify-tools for < 11.4
* Thu Feb  3 2011 gber@opensuse.org
- update to version 0.2.1
  - fade to transparent when screen is composited, remove the
    setting
  - bugfixes
  - translation updates
* Wed Jan  5 2011 gber@opensuse.org
- added -branding-upstream subpackage
- show compiler output
* Mon Dec 27 2010 gber@opensuse.org
- minor cleanup
- improved summary/group
* Sat Dec 25 2010 gber@opensuse.org
- use versioned obsoletion
* Tue Dec 21 2010 gber@opensuse.org
- xfce4-notifyd-config requires notify-send
* Wed Dec 15 2010 prusnak@opensuse.org
- fix filelist
* Thu Dec  2 2010 admin@djscore.org
- updated to new version 0.2.0
* Thu Aug 13 2009 puzel@novell.com
- update upstream URL
* Tue Nov 25 2008 prusnak@suse.cz
- created package (v 0.1.0)
